Announcement: SmartZone 5.2.1.0.515 (GA) is available on Support Portal

  • 1
  • Announcement
  • Updated 4 weeks ago
  • (Edited)
Greetings---

Ruckus is proud to announce a new major SmartZone 5.2.1 (GA) release, for AP and ICX switch control, with some important new features and functions. 

The Documentation and Firmware are now available on our Support portal, at these links; please read the Release Notes for the New Features and Changed Behaviors: 

SmartZone 5.2.1.0.515 (GA) Release Notes

SmartZone 5.2.1 (GA) Software Documentation (.zip bundle)

All Ruckus SmartZone 5.2.1 Product Guides can be downloaded from https://support.ruckuswireless.com/documents?filter=83#sort=relevancy&f:@commonproducts=[vSCG]



SmartZone 5.2.1.0.515 (GA) Sigpack 1.470.1 (Application Signature Package)

All Ruckus SmartZone 5.2.1 Software Images can be downloaded from the Support Portal pages at https://support.ruckuswireless.com/product_families/11-smartzone-sz

All Ruckus Virtual SmartZone (vSZ) and SmartZone-Dataplane (vSZ-DP) 5.2.1 Software Images can be downloaded from the Support Portal pages at 
https://support.ruckuswireless.com/product_families/18-virtual-smartzone-vsz



Allan.
Photo of Allan Grohe

Allan Grohe, Knowledge Manager

  • 19 Posts
  • 5 Reply Likes

Posted 2 months ago

  • 1
Photo of Steven Johnson

Steven Johnson

  • 9 Posts
  • 4 Reply Likes
Your numbers got reversed there. "Ruckus is proud to announce a new major SmartZone 5.1.2 (GA) release".
Photo of Tim Brumbaugh

Tim Brumbaugh

  • 42 Posts
  • 18 Reply Likes
Funny it all says 5.2.1 to me and the link takes me to 5.2.1.
Photo of Steven Johnson

Steven Johnson

  • 9 Posts
  • 4 Reply Likes
Tim,
My reply identified some typos in their original post. They corrected their typos but did not respond to my reply.
Photo of Syamantak Omer

Syamantak Omer, Official Rep

  • 459 Posts
  • 148 Reply Likes
Hi Steven,

We acknowledge that and we did updated it as soon as we found wrong URLs but its been 4 days we updated it, so getting wrong redirection today seems unusual.

We do appreciate your help on pointing the typos.

Thanks!

Regards,
Syamantak Omer
Photo of Steven Johnson

Steven Johnson

  • 9 Posts
  • 4 Reply Likes
Syamantak,

My original reply pointing out the typos was from four days ago, the day the information was released. Tim responded with confusion as the typos no longer exist today, as the correction was made but without any notice in this thread so Tim had no idea that a correction had been made.
Photo of Syamantak Omer

Syamantak Omer, Official Rep

  • 459 Posts
  • 148 Reply Likes
Got it!

I just wanted to make sure there are no more typo or broken links.

Thanks!
Photo of Allan Grohe

Allan Grohe, Knowledge Manager

  • 16 Posts
  • 4 Reply Likes
Thanks you Steven for pointing out the typo.  Other folks internally had also caught the error, and I hadn't realized that you had pointed it out here as well.  Definitely appreciate the extra pair of eyes!

Allan.
Photo of Bino Thomas

Bino Thomas

  • 20 Posts
  • 0 Reply Likes
Hi,
This is stable firmware? There is no option to create Domain.
(Edited)
Photo of Syamantak Omer

Syamantak Omer, Official Rep

  • 464 Posts
  • 150 Reply Likes
Hi Bino,

Post reading all the confirmation above, I would like to share some details and provide some clarity.

Starting with your query "This is stable firmware? There is no option to create Domain.". It is a GA release(General Availability). To know about GA release and the different between GA vs MR, please refer KBA from here.

About creating Domain. It is only supported on vSZ-H or SZ300. If you are using vSZ-E or SZ100 then this option is not available.

About the bug which Jon is referring above is not a bug (at least as per the latest findings from engineering) on his setup but a configuration miss where it seems an unencrypted cert key was uploaded with a passphrase, thus system rejected the cert.

If you are looking for stable firmware, I would recommend upgrading to 5.1.2.0.302 (MR2). Refer the release notes from here.

Regards,
Syamantak Omer
Photo of Bino Thomas

Bino Thomas

  • 20 Posts
  • 0 Reply Likes
Hi Syamantak,

i understand that domain option don't support at SZ100.

let me know i can install  5.1.2.0.302 (MR2)? Because now i am using 5.2.1.0.515.
Any problem will happen when downgrade the software?

Photo of Syamantak Omer

Syamantak Omer, Official Rep

  • 464 Posts
  • 150 Reply Likes
Please confirm below details first.

- Did you already configure your SZ on 5.2.1?
- If yes, did you directly upgrade and setup the SZ on 5.2.1 or upgraded from a previous version?
- Was a cluster backup or configuration backup created during the upgrade? If yes, you can downgrade using cluster backup. If not, then you have to factory reset the controller >> downgrade it and then setup it again from the scratch.

For yours and everyone's understanding, please refer some best practices to avoid issues when moving between controller firmware.
  • Always refer the support site for the recommended firmware or reach-out to support.
  • If starting from scratch/fresh install, always choose the most recent firmware build tagged as MR (Maintenance release) or start with recommended version mentioned in support site.
  • Whenever upgrading the controller firmware, always choose "Backup and upgrade" option, not "Upgrade". Choosing "Backup and upgrade" helps you to easily downgrade the system if there are any issues encountered on newer version.
Regards,
Syamantak Omer
(Edited)
Photo of Bino Thomas

Bino Thomas

  • 20 Posts
  • 0 Reply Likes
Hi Syamantak ,

when i upgrade always taken backup.


i upgraded from 3.6.2.0.222 to 5.2.1.0.515

did i able to downgrade to 5.1.2.0.302? 

Regards

Bino 
Photo of Syamantak Omer

Syamantak Omer, Official Rep

  • 464 Posts
  • 150 Reply Likes
Hi Bino,

System can only downgrade to the version, on which you created a cluster or configuration backup.

I can see that you upgraded the system from 3.5.1.0.296 to 3.6.2.0.222 and then to 5.2.1.0.515. In this case you have to follow below path, in order to move to 5.1.2 version.
  1. Restore the cluster backup to 3.6.2.0.222 (highlighted below in the screenshot).
  2. Once done, you can upgrade to 5.1.2 (or any higher version than 3.6.2 and this will be a normal upgrade process).


Regards,
Syamantak Omer